GET /api/v3/report/reportgroup

GetReportGroupsV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

ReportGroupResponse
Property Description Type
reportGroupCode string
reportGroupId integer (int32)
reportGroupInfo string
reports ReportChild[]
ReportChild properties
Property Description Type
description The report description string
exportFormats Supported export formats (EnergyCAP currently supports PDF, Word, Excel, Excel data only, Excel formatted, and CSV) ExportFormatChild[]
ExportFormatChild properties
Property Description Type
exportFormatInfo string
preferred boolean
isLandscape Indicates whether or not the report is rendered in landscape boolean
lastUpdated The last time this report was updated string (date-time)
reportCode The report code string
reportId The identifier of the report integer (int32)
reportInfo The report name string
reportSource The rendering engine used for the report (EnergyCAP currently uses SSRS and Crystal) string
reportType ReportType
ReportType properties
Property Description Type
reportTypeCode The report type code string
reportTypeId The identifier of the report type integer (int32)
reportTypeInfo The report type name string
tags Tags describing features of the report TagChild[]
TagChild properties
Property Description Type
tagTypeId integer (int32)
tagTypeInfo string
values string[]
version The version of the report string
Example Response application/json
[
  {    "reportGroupCode": "string",    "reportGroupId": 1,    "reportGroupInfo": "string",    "reports": [
      {      "description": "string",      "exportFormats": [],      "isLandscape": false,      "lastUpdated": "2026-03-30",      "reportCode": "string",      "reportId": 1,      "reportInfo": "string",      "reportSource": "string",      "reportType": {},      "tags": [],      "version": "string"
    }
    ]
  }
]